phpCAS version 1.3.6

Functions | Variables
Debugging
User interface

## Functions
| gettmpdir ()
static | phpCAS::setDebug ($filename='')
static | phpCAS::setVerbose ($verbose)
static | phpCAS::getVerbose ()
static | phpCAS::log ($str)
static | phpCAS::error ($msg)
static | phpCAS::trace ($str)
static | phpCAS::traceBegin ()
static | phpCAS::traceEnd ($res='')
static | phpCAS::traceExit ()

## Variables
const | DEFAULT_DEBUG_DIR gettmpdir()."/"

## Detailed Description

## Function Documentation

## ◆ error()

static phpCAS::error | ( |  | $msg | ) |
| static

This method is used by interface methods to print an error and where the function was originally called from.

Parameters

  string | $msg | the message to print

Returns
  void

Definition at line 543 of file CAS.php.

References DEFAULT_ERROR, phpCAS\trace(), phpCAS\traceBegin(), and phpCAS\traceEnd().

Referenced by CAS_PGTStorage_AbstractStorage\__construct(), CAS_PGTStorage_File\__construct(), CAS_Client\__construct(), CAS_Client\_callback(), CAS_Client\_getUser(), CAS_Client\_readURL(), phpCAS\addRebroadcastHeader(), phpCAS\addRebroadcastNode(), phpCAS\allowProxyChain(), phpCAS\client(), CAS_PGTStorage_Db\createTable(), phpCAS\getAttribute(), CAS_Client\getAttributes(), phpCAS\getAttributes(), phpCAS\getProxiedService(), CAS_PGTStorage_AbstractStorage\getStorageInfo(), CAS_PGTStorage_AbstractStorage\getStorageType(), phpCAS\getUser(), CAS_Client\handleLogoutRequests(), phpCAS\hasAttribute(), phpCAS\hasAttributes(), CAS_PGTStorage_Db\init(), phpCAS\initializeProxiedService(), phpCAS\logout(), CAS_Client\logout(), phpCAS\logoutWithRedirectService(), phpCAS\logoutWithRedirectServiceAndUrl(), phpCAS\logoutWithUrl(), phpCAS\proxy(), CAS_PGTStorage_AbstractStorage\read(), CAS_PGTStorage_File\read(), phpCAS\retrievePT(), phpCAS\serviceMail(), phpCAS\serviceWeb(), phpCAS\setCacheTimesForAuthRecheck(), phpCAS\setCasServerCACert(), phpCAS\setDebug(), phpCAS\setFixedCallbackURL(), phpCAS\setFixedServiceURL(), phpCAS\setHTMLFooter(), phpCAS\setHTMLHeader(), phpCAS\setLang(), phpCAS\setPGTStorage(), CAS_Client\setPGTStorage(), phpCAS\setPGTStorageDb(), phpCAS\setPGTStorageFile(), phpCAS\setServerLoginURL(), phpCAS\setServerLogoutURL(), phpCAS\setServerProxyValidateURL(), phpCAS\setServerSamlValidateURL(), phpCAS\setServerServiceValidateURL(), CAS_PGTStorage_AbstractStorage\write(), CAS_PGTStorage_File\write(), and CAS_PGTStorage_Db\write().

## ◆ gettmpdir()

gettmpdir | ( |  | ) |

The default directory for the debug file under Unix.

Definition at line 248 of file CAS.php.

## ◆ getVerbose()

static phpCAS::getVerbose | ( |  | ) |
| static

Show is verbose mode is on

Returns
  boot verbose

Definition at line 496 of file CAS.php.

Referenced by CAS_Client\printHTMLFooter().

## ◆ log()

static phpCAS::log | ( |  | $str | ) |
| static

Logs a string in debug mode.

Parameters

  string | $str | the string to write

Returns
  void

Definition at line 509 of file CAS.php.

Referenced by phpCAS\addRebroadcastNode(), phpCAS\trace(), phpCAS\traceBegin(), phpCAS\traceEnd(), and phpCAS\traceExit().

## ◆ setDebug()

static phpCAS::setDebug | ( |  | $filename = `''` | ) |
| static

Set/unset debug mode

Parameters

  string | $filename | the name of the file used for logging, or false to stop debugging.

Returns
  void

Examples:
  example_advanced_saml11.php, example_custom_urls.php, example_gateway.php, example_html.php, example_lang.php, example_logout.php, example_pgt_storage_db.php, example_pgt_storage_file.php, example_proxy_GET.php, example_proxy_POST.php, example_proxy_serviceWeb.php, example_proxy_serviceWeb_chaining.php, example_service.php, example_service_POST.php, example_service_that_proxies.php, and example_simple.php.

Definition at line 439 of file CAS.php.

References DEFAULT_DEBUG_DIR, phpCAS\error(), PHPCAS_VERSION, and phpCAS\trace().

## ◆ setVerbose()

static phpCAS::setVerbose | ( |  | $verbose | ) |
| static

Enable verbose errors messages in the website output This is a security relevant since internal status info may leak an may help an attacker. Default is therefore false

Parameters

  bool | $verbose | enable verbose output

Returns
  void

Examples:
  example_advanced_saml11.php, example_custom_urls.php, example_gateway.php, example_html.php, example_lang.php, example_logout.php, example_pgt_storage_db.php, example_pgt_storage_file.php, example_proxy_GET.php, example_proxy_POST.php, example_proxy_serviceWeb.php, example_proxy_serviceWeb_chaining.php, example_service.php, example_service_POST.php, example_service_that_proxies.php, and example_simple.php.

Definition at line 481 of file CAS.php.

## ◆ trace()

static phpCAS::trace | ( |  | $str | ) |
| static

This method is used to log something in debug mode.

Parameters

  string | $str | string to log

Returns
  void

Definition at line 579 of file CAS.php.

References phpCAS\log().

Referenced by CAS_AuthenticationException\__construct(), CAS_Client\__construct(), CAS_Client\_authError(), CAS_Client\_callback(), CAS_Client\_rebroadcast(), CAS_Client\_renameSession(), CAS_Client\_setSessionAttributes(), CAS_Client\_validatePGT(), CAS_Client\_wasPreviouslyAuthenticated(), CAS_Client\checkAuthentication(), CAS_ProxyChain_AllowedList\contains(), phpCAS\error(), CAS_Client\forceAuthentication(), CAS_PGTStorage_File\getPGTIouFilename(), CAS_Client\getURL(), CAS_Client\handleLogoutRequests(), CAS_Request_CurlRequest\initAndConfigure(), CAS_Client\isAuthenticated(), CAS_ProxyChain_AllowedList\isProxyListAllowed(), CAS_Client\logout(), CAS_ProxiedService_Http_Abstract\makeRequest(), CAS_ProxyChain_Any\matches(), CAS_ProxyChain\matches(), CAS_ProxiedService_Imap\open(), CAS_CookieJar\parseCookieHeader(), CAS_PGTStorage_File\read(), CAS_PGTStorage_Db\read(), CAS_Client\redirectToCas(), CAS_Client\renewAuthentication(), CAS_Client\retrievePT(), CAS_Request_CurlRequest\sendRequest(), phpCAS\setDebug(), phpCAS\setNoCasServerValidation(), CAS_CookieJar\storeCookies(), CAS_Client\validateCAS10(), CAS_Client\validateCAS20(), CAS_Client\validateSA(), and CAS_PGTStorage_File\write().

## ◆ traceBegin()

static phpCAS::traceBegin | ( |  | ) |
| static

This method is used to indicate the start of the execution of a function in debug mode.

Returns
  void

Definition at line 591 of file CAS.php.

References phpCAS\log().

Referenced by CAS_PGTStorage_AbstractStorage\__construct(), CAS_AuthenticationException\__construct(), CAS_PGTStorage_File\__construct(), CAS_PGTStorage_Db\__construct(), CAS_Client\__construct(), CAS_Client\_authError(), CAS_Client\_buildSAMLPayload(), CAS_Client\_callback(), CAS_Client\_getNodeType(), CAS_Client\_readURL(), CAS_Client\_rebroadcast(), CAS_Client\_renameSession(), CAS_Client\_setSessionAttributes(), CAS_Client\_validatePGT(), CAS_Client\_wasPreviouslyAuthenticated(), phpCAS\addRebroadcastHeader(), phpCAS\addRebroadcastNode(), phpCAS\allowProxyChain(), phpCAS\checkAuthentication(), CAS_Client\checkAuthentication(), phpCAS\client(), CAS_ProxyChain_AllowedList\contains(), CAS_PGTStorage_Db\createTable(), phpCAS\error(), phpCAS\forceAuthentication(), CAS_Client\forceAuthentication(), CAS_PGTStorage_File\getPGTIouFilename(), phpCAS\getProxiedService(), CAS_Client\getServerLoginURL(), CAS_Client\getServerProxyValidateURL(), CAS_Client\getServerSamlValidateURL(), CAS_Client\getServerServiceValidateURL(), CAS_Client\getURL(), CAS_Client\handleLogoutRequests(), CAS_PGTStorage_File\init(), CAS_PGTStorage_Db\init(), phpCAS\isAuthenticated(), CAS_Client\isAuthenticated(), CAS_ProxyChain_AllowedList\isProxyListAllowed(), phpCAS\logout(), CAS_Client\logout(), phpCAS\logoutWithRedirectService(), phpCAS\logoutWithRedirectServiceAndUrl(), phpCAS\logoutWithUrl(), CAS_ProxiedService_Imap\open(), CAS_CookieJar\parseCookieHeaders(), phpCAS\proxy(), CAS_PGTStorage_File\read(), CAS_PGTStorage_Db\read(), CAS_Client\redirectToCas(), phpCAS\renewAuthentication(), CAS_Client\renewAuthentication(), CAS_Client\retrievePT(), CAS_ProxiedService_Http_Abstract\send(), CAS_Request_CurlRequest\sendRequest(), phpCAS\serviceMail(), phpCAS\serviceWeb(), phpCAS\setCasServerCACert(), phpCAS\setExtraCurlOption(), phpCAS\setFixedCallbackURL(), phpCAS\setFixedServiceURL(), CAS_Client\setLang(), phpCAS\setNoCasServerValidation(), phpCAS\setNoClearTicketsFromUrl(), phpCAS\setPGTStorage(), phpCAS\setPGTStorageDb(), phpCAS\setPGTStorageFile(), phpCAS\setServerLoginURL(), phpCAS\setServerLogoutURL(), phpCAS\setServerProxyValidateURL(), phpCAS\setServerSamlValidateURL(), phpCAS\setServerServiceValidateURL(), phpCAS\setSessionIdSalt(), CAS_Client\validateCAS10(), CAS_Client\validateCAS20(), CAS_PGTStorage_File\write(), and CAS_PGTStorage_Db\write().

## ◆ traceEnd()

static phpCAS::traceEnd | ( |  | $res = `''` | ) |
| static

This method is used to indicate the end of the execution of a function in debug mode.

Parameters

  string | $res | the result of the function

Returns
  void

Definition at line 638 of file CAS.php.

References phpCAS\log().

Referenced by CAS_PGTStorage_AbstractStorage\__construct(), CAS_PGTStorage_File\__construct(), CAS_PGTStorage_Db\__construct(), CAS_Client\__construct(), CAS_Client\_buildSAMLPayload(), CAS_Client\_getNodeType(), CAS_Client\_readExtraAttributesCas20(), CAS_Client\_readURL(), CAS_Client\_rebroadcast(), CAS_Client\_renameSession(), CAS_Client\_setSessionAttributes(), CAS_Client\_validatePGT(), CAS_Client\_wasPreviouslyAuthenticated(), phpCAS\addRebroadcastHeader(), phpCAS\addRebroadcastNode(), phpCAS\allowProxyChain(), phpCAS\checkAuthentication(), CAS_Client\checkAuthentication(), phpCAS\client(), CAS_ProxyChain_AllowedList\contains(), CAS_PGTStorage_Db\createTable(), phpCAS\error(), phpCAS\forceAuthentication(), CAS_Client\forceAuthentication(), CAS_PGTStorage_File\getPGTIouFilename(), phpCAS\getProxiedService(), CAS_Client\getServerLoginURL(), CAS_Client\getServerProxyValidateURL(), CAS_Client\getServerSamlValidateURL(), CAS_Client\getServerServiceValidateURL(), CAS_Client\getURL(), CAS_Client\handleLogoutRequests(), CAS_PGTStorage_File\init(), CAS_PGTStorage_Db\init(), phpCAS\isAuthenticated(), CAS_Client\isAuthenticated(), CAS_ProxyChain_AllowedList\isProxyListAllowed(), phpCAS\logout(), phpCAS\logoutWithRedirectService(), phpCAS\logoutWithRedirectServiceAndUrl(), phpCAS\logoutWithUrl(), CAS_CookieJar\parseCookieHeaders(), phpCAS\proxy(), CAS_PGTStorage_File\read(), CAS_PGTStorage_Db\read(), phpCAS\renewAuthentication(), CAS_Client\renewAuthentication(), CAS_Client\retrievePT(), CAS_ProxiedService_Http_Abstract\send(), CAS_Request_CurlRequest\sendRequest(), phpCAS\serviceMail(), phpCAS\serviceWeb(), phpCAS\setCasServerCACert(), phpCAS\setExtraCurlOption(), phpCAS\setFixedCallbackURL(), phpCAS\setFixedServiceURL(), CAS_Client\setLang(), phpCAS\setNoCasServerValidation(), phpCAS\setNoClearTicketsFromUrl(), phpCAS\setPGTStorage(), phpCAS\setPGTStorageDb(), phpCAS\setPGTStorageFile(), phpCAS\setServerLoginURL(), phpCAS\setServerLogoutURL(), phpCAS\setServerProxyValidateURL(), phpCAS\setServerSamlValidateURL(), phpCAS\setServerServiceValidateURL(), phpCAS\setSessionIdSalt(), CAS_Client\validateSA(), CAS_PGTStorage_File\write(), and CAS_PGTStorage_Db\write().

## ◆ traceExit()

static phpCAS::traceExit | ( |  | ) |
| static

This method is used to indicate the end of the execution of the program

Returns
  void

Definition at line 661 of file CAS.php.

References phpCAS\log().

Referenced by CAS_AuthenticationException\__construct(), CAS_Client\_authError(), CAS_Client\_callback(), CAS_Client\handleLogoutRequests(), CAS_Client\isAuthenticated(), CAS_Client\logout(), and CAS_Client\redirectToCas().

## Variable Documentation

## ◆ DEFAULT_DEBUG_DIR

const DEFAULT_DEBUG_DIR gettmpdir()."/"

Definition at line 254 of file CAS.php.

Referenced by phpCAS\setDebug().